[arch-commits] Commit in polyphone/repos/community-x86_64 (PKGBUILD PKGBUILD)

David Runge dvzrv at archlinux.org
Tue Mar 5 22:54:00 UTC 2019


    Date: Tuesday, March 5, 2019 @ 22:53:59
  Author: dvzrv
Revision: 437793

archrelease: copy trunk to community-x86_64

Added:
  polyphone/repos/community-x86_64/PKGBUILD
    (from rev 437792, polyphone/trunk/PKGBUILD)
Deleted:
  polyphone/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |   82 +++++++++++++++++++++++++++++++------------------------------
 1 file changed, 42 insertions(+), 40 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-03-05 22:53:33 UTC (rev 437792)
+++ PKGBUILD	2019-03-05 22:53:59 UTC (rev 437793)
@@ -1,40 +0,0 @@
-# Maintainer: David Runge <dave at sleepmap.de>
-pkgname=polyphone
-pkgver=2.0.1
-pkgrel=2
-pkgdesc="A soundfont editor for quickly designing musical instruments"
-arch=('x86_64')
-url="https://polyphone-soundfonts.com/en/"
-license=('GPL')
-groups=('pro-audio')
-depends=('desktop-file-utils' 'qt5-svg' 'portaudio' 'rtmidi' 'stk')
-makedepends=('qt5-tools')
-source=("${pkgname}-${pkgver}.tar.gz::https://github.com/davy7125/${pkgname}/archive/${pkgver}.tar.gz")
-sha512sums=('6eb59f5b19c2a944dd2cc2bb06391a32e786444f2e796d223adb2066c1965293f67ceb4f42b968e6ce101fed0a4cc4cb49a2011527701ac7bdede059548a6eac')
-
-prepare() {
-  cd "${pkgname}-${pkgver}/sources"
-  # we need to use the vendored qcustomplot, as the current is incompatible
-  # https://github.com/davy7125/polyphone/issues/56
-  sed -e '/USE_LOCAL_QCUSTOMPLOT/ s/#//' -i "${pkgname}.pro"
-}
-
-build() {
-  cd "${pkgname}-${pkgver}/sources"
-  qmake-qt5 "${pkgname}.pro"
-  make
-}
-
-package() {
-  cd "${pkgname}-${pkgver}/sources"
-  # doesn't have an install target
-  install -vDm 755 "bin/${pkgname}" -t "${pkgdir}/usr/bin/"
-  install -vDm 644 ../logo.png \
-    "${pkgdir}/usr/share/icons/128x128/apps/${pkgname}.png"
-  install -vDm 644 "../deployment/debian/${pkgname}."*1 \
-    -t "${pkgdir}/usr/share/man/man1/"
-  install -vDm 644 "../deployment/debian/${pkgname}.desktop" \
-    -t "${pkgdir}/usr/share/applications/"
-  install -vDm 644 "../deployment/debian/${pkgname}.sharedmimeinfo" \
-    "${pkgdir}/usr/share/mime/packages/${pkgname}.xml"
-}

Copied: polyphone/repos/community-x86_64/PKGBUILD (from rev 437792, polyphone/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-03-05 22:53:59 UTC (rev 437793)
@@ -0,0 +1,42 @@
+# Maintainer: David Runge <dave at sleepmap.de>
+pkgname=polyphone
+pkgver=2.0.1
+pkgrel=2
+pkgdesc="A soundfont editor for quickly designing musical instruments"
+arch=('x86_64')
+url="https://polyphone-soundfonts.com/en/"
+license=('GPL')
+groups=('pro-audio')
+depends=('desktop-file-utils' 'qt5-svg' 'portaudio' 'rtmidi' 'stk')
+makedepends=('qt5-tools')
+source=("${pkgname}-${pkgver}.tar.gz::https://github.com/davy7125/${pkgname}/archive/${pkgver}.tar.gz")
+sha512sums=('6eb59f5b19c2a944dd2cc2bb06391a32e786444f2e796d223adb2066c1965293f67ceb4f42b968e6ce101fed0a4cc4cb49a2011527701ac7bdede059548a6eac')
+
+prepare() {
+  cd "${pkgname}-${pkgver}/sources"
+  # we need to use the vendored qcustomplot, as the current is incompatible
+  # https://github.com/davy7125/polyphone/issues/56
+  sed -e '/USE_LOCAL_QCUSTOMPLOT/ s/#//' -i "${pkgname}.pro"
+}
+
+build() {
+  cd "${pkgname}-${pkgver}/sources"
+  qmake-qt5 "${pkgname}.pro"
+  make
+}
+
+package() {
+  cd "${pkgname}-${pkgver}/sources"
+  # doesn't have an install target
+  install -vDm 755 "bin/${pkgname}" -t "${pkgdir}/usr/bin/"
+  install -vDm 644 ../logo.png \
+    "${pkgdir}/usr/share/icons/128x128/apps/${pkgname}.png"
+  install -vDm 644 "../deployment/debian/${pkgname}."*1 \
+    -t "${pkgdir}/usr/share/man/man1/"
+  install -vDm 644 "../deployment/debian/${pkgname}.desktop" \
+    -t "${pkgdir}/usr/share/applications/"
+  install -vDm 644 "../deployment/debian/${pkgname}.sharedmimeinfo" \
+    "${pkgdir}/usr/share/mime/packages/${pkgname}.xml"
+  install -vDm 644 {../README.md,changelog} \
+    -t "${pkgdir}/usr/share/doc/${pkgname}/"
+}


More information about the arch-commits mailing list